---
title: Execute Fiat Settlement - Submit Invoice
slug: execute-fiat-settlement-submit-invoice
docTags: 
createdAt: 2025-05-02T10:40:00.252Z
---

This API is used to submit invoice details for a specific fiat order and subsequently trigger the settlement process.

This API is required only for certain geographies or currencies where merchants must submit invoice details for each order to comply with local regulatory and compliance requirements.

Whether invoice submission is required for your integration will be communicated by the Pay3 team during the integration process.

This API requires access token that can be generated using [Access Token](docId\:lq-v6fF_2i-h1O3XD5KKA) API.

:::ApiMethodV2
```json
{
  "name": "Fiat Settlement - Submit Invoice",
  "method": "POST",
  "url": "https://your-hostname.pay3.app/client/fiat-settlement/submit-invoice",
  "description": "Submit an Invoice for any fiat order using the same requestId which was used during the order creation.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "nyfSHp7J-NrsuqTH3FW7t",
        "language": "curl",
        "code": "curl --location 'https://api.pprod.pay3.app/v1/client/fiat-settlement/submit-invoice' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--header 'access-token: eyJraWQiOiIxYmI5NjA1YzM2ZVRCWkJMOH' \\\n--data '{\n    \"requestId\": \"2544743810\",\n    \"clientId\": \"82e024d1-8e43-4252-88d4-f3222e4f113b\",\n     \"countryOfOrigin\": \"USA\",\n    \"importerName\": \"John\",\n    \"importerAddress\": {\n        \"address\": \"321 Elm Street, Suite 3\",\n        \"country\": \"USA\",\n        \"city\": \"Los Angeles, CA\",\n        \"pinCode\": \"90401\"\n    },\n    \"billerName\": \"Pay3\",\n    \"billerAddress\": {\n        \"address\": \"123 Space Center Blvd\",\n        \"country\": \"USA\",\n        \"city\": \"Houston\",\n        \"pinCode\": \"77058\"\n    },\n    \"invoiceDate\": \"2027-01-01\",\n        \"orderSno\": \"123123\",\n     \"invoiceTotal\": \"400.00\",\n        \"invoiceNumber\": \"234234\",\n           \"items\": [\n        {\n            \"itemDescription\": \"Shoes\",\n            \"price\": \"250.00\",\n            \"quantity\": \"1\",\n            \"taxPercentage\": \"0\",\n            \"taxAmount\": \"0.00\",\n            \"itemTotalPrice\": \"250.00\"\n        },\n        {\n            \"itemDescription\": \"Watch\",\n            \"price\": \"150.00\",\n            \"quantity\": \"1\",\n            \"taxPercentage\": \"0\",\n            \"taxAmount\": \"0.00\",\n            \"itemTotalPrice\": \"150.00\"\n        }\n    ]\n}'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "nyfSHp7J-NrsuqTH3FW7t"
  },
  "results": {
    "languages": [
      {
        "id": "VQyRchSR38UbBEhATUpjh",
        "language": "200",
        "code": "{\n    \"id\": \"237690bb-f311-4a3e-9fbe-d36711ad5bfa\",\n    \"status\": \"REVIEW_QUEUED\",\n    \"requestMetadata\": {\n        \"clientId\": \"82e024d1-8e43-4252-88d4-f3222e4f113b\",\n        \"requestId\": \"2544743810\",\n        \"countryOfOrigin\": \"USA\",\n        \"importerName\": \"John\",\n        \"importerAddress\": {\n            \"address\": \"321 Elm Street, Suite 3\",\n            \"city\": \"Los Angeles, CA\",\n            \"country\": \"USA\",\n            \"pinCode\": \"90401\"\n        },\n        \"billerName\": \"Pay3\",\n        \"billerAddress\": {\n            \"address\": \"123 Space Center Blvd\",\n            \"city\": \"Houston\",\n            \"country\": \"USA\",\n            \"pinCode\": \"77058\"\n        },\n        \"invoiceDate\": \"2027-01-01\",\n        \"invoiceTotal\": \"400.00\",\n        \"orderSno\": \"123123\",\n        \"invoiceNumber\": \"234234\",\n        \"items\": [\n            {\n                \"itemDescription\": \"Shoes\",\n                \"hsCode\": null,\n                \"price\": \"250.00\",\n                \"quantity\": \"1\",\n                \"taxPercentage\": \"0\",\n                \"taxAmount\": \"0.00\",\n                \"itemTotalPrice\": \"250.00\"\n            },\n            {\n                \"itemDescription\": \"Watch\",\n                \"hsCode\": null,\n                \"price\": \"150.00\",\n                \"quantity\": \"1\",\n                \"taxPercentage\": \"0\",\n                \"taxAmount\": \"0.00\",\n                \"itemTotalPrice\": \"150.00\"\n            }\n        ]\n    },\n    \"createdTs\": \"2026-07-08T10:42:51.307292+00:00\",\n    \"updatedTs\": \"2026-07-08T10:42:51.307292+00:00\"\n}",
        "customLabel": ""
      },
      {
        "id": "tIvoQbUSKGnrqallvNDVQ",
        "language": "401",
        "code": "{\n    \"code\": \"7001\",\n    \"error\": {\n        \"code\": \"500\",\n        \"message\": \"No route found for subscription\"\n    }\n}\n\n{\n    \"code\": \"7001\",\n    \"error\": {\n        \"code\": \"500\",\n        \"message\": \"Invalid value for interval: DAILY1\"\n    }\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "VQyRchSR38UbBEhATUpjh"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [
      {
        "name": "access-token",
        "kind": "required",
        "type": "string",
        "description": "Access token received from Access token API. You can reuse the access token across multiple API calls till it is expired",
        "children": []
      }
    ],
    "bodyDataParameters": [
      {
        "name": "requestId",
        "kind": "required",
        "type": "string",
        "description": "Identifier that is created by Application's backend. This will be passed in relevant events and webhooks from Pay3 to Application",
        "": "Identifier that is created by Application's backend. This will be passed in relevant events and webhooks from Pay3 to Application"
      },
      {
        "name": "clientId",
        "kind": "required",
        "type": "string",
        "description": "Client id. Application's identifier",
        "": "required"
      },
      {
        "name": "countryOfOrigin",
        "kind": "required",
        "type": "string",
        "description": "This parameter accepts a string for Country of origin.",
        "": "required"
      },
      {
        "name": "importerName",
        "kind": "required",
        "type": "string",
        "description": "Name of the importer/end user.\n",
        "": "required"
      },
      {
        "name": "importerAddress",
        "kind": "required",
        "type": "object",
        "description": "Address of the importer/end user. This object accepts following params:-\n",
        "": "required",
        "children": [
          {
            "name": "address",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "country",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "city",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "pinCode",
            "kind": "optional",
            "type": "string",
            "description": ""
          }
        ],
        "schema": [
          {
            "name": "address",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "country",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "city",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "pinCode",
            "kind": "optional",
            "type": "string",
            "description": ""
          }
        ]
      },
      {
        "name": "billerName",
        "kind": "required",
        "type": "string",
        "description": "Name of the Merchant. Eg :- \"ABC Private Limited\"",
        "": "required"
      },
      {
        "name": "billerAddress",
        "kind": "required",
        "type": "object",
        "description": "Address of the Merchant. This object accepts following params :- ",
        "": "required",
        "children": [
          {
            "name": "address",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "country",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "city",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "pinCode",
            "kind": "optional",
            "type": "string",
            "description": ""
          }
        ],
        "schema": [
          {
            "name": "address",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "country",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "city",
            "kind": "optional",
            "type": "string",
            "description": ""
          },
          {
            "name": "pinCode",
            "kind": "optional",
            "type": "string",
            "description": ""
          }
        ]
      },
      {
        "name": "invoiceDate",
        "kind": "required",
        "type": "string",
        "description": "Date of the invoice",
        "": "required"
      },
      {
        "name": "invoiceTotal",
        "kind": "required",
        "type": "integer",
        "description": "This parameter is the sum of all the \"itemTotalPrice\" from the \"items\" object.",
        "": "required"
      },
      {
        "name": "orderSno",
        "kind": "required",
        "type": "string",
        "description": "Order Serial number.",
        "": "required"
      },
      {
        "name": "invoiceNumber",
        "kind": "required",
        "type": "string",
        "description": "The invoice number of the order.",
        "": "required"
      },
      {
        "name": "items",
        "kind": "required",
        "type": "object",
        "description": "This parameter accepts array of objects. Using this multiple details can be submitted for different item. \nEach object inside this accepts following parameters :- \n",
        "": "This parameter accepts array of objects. Using this multiple details can be submitted for different item. \nEach object inside this accepts following parameters :- \n",
        "children": [
          {
            "name": "itemDescription",
            "kind": "optional",
            "type": "string",
            "description": "Small Description of the item. Eg :- \"shoes\" , \"watch\" etc."
          },
          {
            "name": "price",
            "kind": "optional",
            "type": "integer",
            "description": "Price of the Item."
          },
          {
            "name": "quantity",
            "kind": "optional",
            "type": "integer",
            "description": "Quantity of the item."
          },
          {
            "name": "taxPercentage",
            "kind": "optional",
            "type": "string",
            "description": "Tax percentage applicable on the item."
          },
          {
            "name": "taxAmount",
            "kind": "optional",
            "type": "integer",
            "description": "Calculated tax amount as per the \"taxPercentage\"."
          },
          {
            "name": "itemTotalPrice",
            "kind": "optional",
            "type": "integer",
            "description": "Total Price of the item inclusive of tax."
          }
        ],
        "schema": [
          {
            "name": "itemDescription",
            "kind": "optional",
            "type": "string",
            "description": "Small Description of the item. Eg :- \"shoes\" , \"watch\" etc."
          },
          {
            "name": "price",
            "kind": "optional",
            "type": "integer",
            "description": "Price of the Item."
          },
          {
            "name": "quantity",
            "kind": "optional",
            "type": "integer",
            "description": "Quantity of the item."
          },
          {
            "name": "taxPercentage",
            "kind": "optional",
            "type": "string",
            "description": "Tax percentage applicable on the item."
          },
          {
            "name": "taxAmount",
            "kind": "optional",
            "type": "integer",
            "description": "Calculated tax amount as per the \"taxPercentage\"."
          },
          {
            "name": "itemTotalPrice",
            "kind": "optional",
            "type": "integer",
            "description": "Total Price of the item inclusive of tax."
          }
        ]
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "fiat-settlement-submit-invoice",
  "legacyHash": "706EUjTSNEFgKfL4kKq4S"
}
```
:::

***

